验证码: 看不清楚,换一张 查询 注册会员,免验证
  • {{ basic.site_slogan }}
  • 打开微信扫一扫,
    您还可以在这里找到我们哟

    关注我们

当使用composer引入第三方包时报错

阅读:75 2022-09-18 11:08:33 来源:halmp 作者:小码bug

     在现在php程序开发中,如果不会composer可以说是个虚假的php开发工程师,composer暴力成功引用第三方类库如我们经常使用到的excel类库,当我们执行 composer require maatwebsite/excel 竟然发生了报错

image.png

一招使用下面一个简单命令方可成功执行,后面加上 --ignore-platform-reqs   这个的意思是忽略版本信息自动匹配

composer require maatwebsite/excel --ignore-platform-reqs

分享到:
相关文章
{{ v.title }}
{{ v.description||(cleanHtml(v.content)).substr(0,100)+'···' }}
你可能感兴趣
推荐阅读 更多>